#ifndef FILETEXTURE_H
#define FILETEXTURE_H

#include "rendering/Texture.h"
#include "utils/Error.h"

class FileTexture final {
    Texture texture;

public:
    Error load(const char* path, int maxMipMaps);

    void bindTo(int index) const;

    void setLinearFilter();
};

#endif